//****************************************************
//*________________LiFT_Jumps_Shader_________________*
//****************************************************


//****************************************************
//*_____________________Slick________________________*
//****************************************************


textures/00walls/woodfloorslick
{
	surfaceparm solid
	surfaceparm nodamage
	surfaceparm slick
{
	map textures/00walls/woodfloorslick.tga
}	
    {
        map $lightmap
        blendfunc filter
    }

}


//****************************************************
//*_____________________No_Damage_______________________*
//****************************************************


textures/00walls/woodfloor2
{
	surfaceparm solid
	surfaceparm nodamage
	
{
	map textures/00walls/woodfloor2.tga
}	
    {
        map $lightmap
        blendfunc filter
    }

}

textures/00walls/woodenfloor
{
	surfaceparm solid
	surfaceparm nodamage
	
{
	map textures/00walls/woodenfloor.tga
}	
    {
        map $lightmap
        blendfunc filter
    }

}

textures/00walls/brickwall
{
	surfaceparm solid
	surfaceparm nodamage
	
{
	map textures/00walls/brickwall.tga
}	
    {
        map $lightmap
        blendfunc filter
    }

}


//****************************************************
//*_____________________No_Walljump__________________*
//****************************************************


textures/00walls/brickwallbump
{
	surfaceparm solid
	surfaceparm nodamage
	surfaceparm slick
	
{
	map textures/00walls/brickwallbump.tga
}	
    {
        map $lightmap
        blendfunc filter
    }

}


//****************************************************
//*_____________________Glass________________________*
//****************************************************


textures/00glass/darkglass
{
	surfaceparm trans
	cull none
	qer_trans 0.5
	surfaceparm slick
	surfaceparm detail
	surfaceparm nodamage
	{
		map textures/00glass/darkglass.tga
		tcGen environment
		blendfunc GL_ONE GL_ONE
		rgbgen vertex
	}
}

textures/00glass/lumpywallglass
{
	surfaceparm trans
	cull none
	qer_trans 0.5
	surfaceparm detail
	{
		map textures/00glass/lumpywallglass.tga
		tcGen environment
		blendfunc GL_ONE GL_ONE
		rgbgen vertex
	}
}

textures/00glass/waterglass
{
	surfaceparm trans
	cull none
	qer_trans 0.5
	surfaceparm detail
	{
		map textures/00glass/waterglass.tga
		tcGen environment
		blendfunc GL_ONE GL_ONE
		rgbgen vertex
	}
}


//****************************************************
//*______________________Lava________________________*
//****************************************************


textures/00liquid/liquidlava
{
    qer_editorimage textures/00liquid/liquidlava.tga
    q3map_globaltexture
	qer_trans 0.75
    surfaceparm trans
    surfaceparm noimpact
    surfaceparm lava
    surfaceparm nolightmap
	surfaceparm detail
    q3map_surfacelight 375
    cull disable
    {
        map textures/00liquid/liquidlava.tga
        tcmod scale 0.10 0.10
        tcmod scroll 0.04 0.03
        tcMod turb 0 0.02 0 0.01
        blendFunc blend
        rgbGen identity
    }
    {
        map textures/00liquid/liquidlava.tga
        blendfunc blend
        tcMod turb 0 0.15 0 0.1
    }
}



textures/00liquid/liquidscrab
{
    qer_editorimage textures/00liquid/liquidscrab.tga
    q3map_globaltexture
	qer_trans 0.75
    surfaceparm trans
    surfaceparm noimpact
    surfaceparm lava
    surfaceparm nolightmap
	surfaceparm detail
    q3map_surfacelight 375
    cull disable
    {
        map textures/00liquid/liquidscrab.tga
        tcmod scale 0.10 0.10
        tcmod scroll 0.04 0.03
        tcMod turb 0 0.02 0 0.01
        blendFunc blend
        rgbGen identity
    }
    {
        map textures/00liquid/liquidscrab.tga
        blendfunc blend
        tcMod turb 0 0.15 0 0.1
    }
}


//****************************************************
//*_____________________Water________________________*
//****************************************************


textures/00liquid/liquidsnake
{
        qer_editorimage textures/00liquid/liquidsnake.tga
        qer_trans .5
        q3map_globaltexture
        surfaceparm trans
        surfaceparm nonsolid
        surfaceparm water
        tessSize 64
        cull disable
        deformVertexes wave 256 sin 0.5 1.75 .5 .5
        {
            map textures/00liquid/liquidsnake.tga
            blendFunc GL_DST_COLOR GL_ONE
            rgbGen identity
            tcMod scroll -.010 .05
        }
        {
            map textures/00liquid/liquidsnake2.tga
            blendFunc GL_DST_COLOR GL_ONE
            rgbGen identity
            tcMod scroll .05 -.010
        }
        {
            map textures/00liquid/liquidsnake3.tga
            blendFunc GL_DST_COLOR GL_ONE
            rgbGen identity
            tcMod scroll -.05 .010
        }
        {
            map $lightmap
            blendFunc GL_DST_COLOR GL_ZERO
            rgbgen identity
        }
}

textures/00liquid/watercaulk
{
	qer_editorimage textures/00liquid/watercaulk.tga
	qer_trans 10
	surfaceparm nodraw
	surfaceparm detail
	surfaceparm noimpact
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm water
}


//****************************************************
//*_____________________Grate________________________*
//****************************************************


textures/00walls/will_fence_chainlink
{
	surfaceparm trans		
	cull none
        nopicmip

	{
		map textures/00walls/will_fence_chainlink.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

//****************************************************
//*_____________________End_Message__________________*
//****************************************************


textures/00liquid/liquidletter
{
        qer_editorimage textures/00liquid/liquidletter.tga
        qer_trans .5
        q3map_globaltexture
        surfaceparm trans
        surfaceparm nonsolid
        surfaceparm water
        tessSize 64
        cull disable
        deformVertexes wave 256 sin 0.5 1.75 .5 .5
        {
            map textures/00liquid/liquidletter.tga
            blendFunc GL_DST_COLOR GL_ONE
            rgbGen identity
            tcMod scroll -.010 .05
        }
        {
            map textures/00liquid/liquidletter2.tga
            blendFunc GL_DST_COLOR GL_ONE
            rgbGen identity
            tcMod scroll .05 -.010
        }
        {
            map textures/00liquid/liquidletter3.tga
            blendFunc GL_DST_COLOR GL_ONE
            rgbGen identity
            tcMod scroll -.05 .010
        }
        {
            map $lightmap
            blendFunc GL_DST_COLOR GL_ZERO
            rgbgen identity
        }
}

//_____________________________________________________